Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.util.velocity
Class VelocityEmailException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.turbine.util.TurbineException
                  org.apache.turbine.util.velocity.VelocityEmailException

All Implemented Interfaces:
  Serializable

    public class VelocityEmailException

extends TurbineException

This exception is thrown if a VelocityEmail/VelocityHtmlEmail can not be sent using JavaMail. It will most likly wrap a javax.mail.MessagingException exception.

Author:
  Eric Pugh
See Also:
  Serialized Form

Constructor Summary
`VelocityEmailException()` Constructs a new `VelocityEmailException` without specified detail message.
`VelocityEmailException(String msg)` Constructs a new `VelocityEmailException` with specified detail message.
`VelocityEmailException(String msg, Throwable nested)` Constructs a new `VelocityEmailException` with specified detail message and nested `Throwable`.
`VelocityEmailException(Throwable nested)` Constructs a new `VelocityEmailException` with specified nested `Throwable`.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VelocityEmailException

    public VelocityEmailException()

  Constructs a new `VelocityEmailException` without specified detail message.

### VelocityEmailException

    public VelocityEmailException(String msg)

  Constructs a new `VelocityEmailException` with specified detail message.

  Parameters:
    `msg` - The error message.

### VelocityEmailException

    public VelocityEmailException(Throwable nested)

  Constructs a new `VelocityEmailException` with specified nested `Throwable`.

  Parameters:
    `nested` - The exception or error that caused this exception to be thrown.

### VelocityEmailException

    public VelocityEmailException(String msg,
                                  Throwable nested)

  Constructs a new `VelocityEmailException` with specified detail message and nested `Throwable`.

  Parameters:
    `msg` - The error message.
    `nested` - The exception or error that caused this exception to be thrown.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.